Description

Supportanfrage

ich bekomme vom ADTF-Control folgende Fehlermeldung:

Filter "XCP_Codec": Unable to connect. This might happen due to an invalid initialization order. Please ensure that the transport

Filter is initialized before the Xcp Codec...!

Wie kann ich die Initialization Order festlegen?

Lösung

Der beschriebene Fehler tritt, wie schon von Ihnen vermutet, auf, wenn die Priorität des XCP_Codec's falsch eingestellt ist.

Falls dies der Fall ist, wird der XCP_Codec vor dem gewünschten Transportfilter initialisiert und eine Verbindung zwischen ECU und

Codec kann nicht hergestellt werden.

Eine Anleitung bezüglich der Priorisierung und dem generellen Aufbau einer Session innerhalb der Calibrationtoolbox (ADTF 2)

findet sich hier:

https://support.digitalwerk.net/adtf_addons/adtf-calibration-toolbox/v2/api/page_getting_started.html

Anbei finden Sie noch 2 Snapshots, welche die Einstellmöglichkeiten aufzeigen.

History

#1 - 2019-07-31 14:28 - hidden

- Project changed from Public Support to 11

- Topic set to CalibrationTB::XCP

#2 - 2019-07-31 14:48 - hidden

- File change_priority_1.PNG added

- File change_priority_2.PNG added

Hallo Herr Fuchs,

der von Ihnen beschriebene Fehler tritt, wie schon von Ihnen vermutet auf, wenn die Priorität des XCP_Codec's falsch eingestellt ist.

Falls dies der Fall ist, wird der XCP_Codec vor dem gewünschten Transportfilter initialisiert und eine Verbindung zwischen ECU und Codec kann

nicht hergestellt werden.

Eine Anleitung bezüglich der Priorisierung und dem generellen Aufbau einer Session innerhalb der Calibrationtoolbox (ADTF 2) findet sich hier:

https://support.digitalwerk.net/adtf_addons/adtf-calibration-toolbox/v2/api/page_getting_started.html

Anbei finden Sie noch 2 Snapshots, welche die Einstellmöglichkeiten aufzeigen.

Konnte ich Ihnen mit dieser Information weiterhelfen?

Viele Grüße,

Michael
#3 - 2019-07-31 14:49 - hidden

- Status changed from New to Customer Feedback Required

#4 - 2019-08-06 16:27 - hidden

- Project changed from 11 to Public Support

- Subject changed from Fehler XCP_Codec to Unable to connect XCP_Codec

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to No Customer Feedback

#5 - 2020-01-16 15:32 - hidden

- Description updated

- Status changed from To Be Closed to Closed

Files

change_priority_1.PNG 34.2 KB 2019-07-31 hidden

change_priority_2.PNG 60.5 KB 2019-07-31 hidden
